`timescale 1ns / 1ps

module tb_async_FIFO();
reg tb_reset = 1;
reg tb_read_clk = 0;
reg tb_write_clk = 0;
reg [7:0] tb_write_data = 0;
reg tb_write = 1;
reg tb_read  = 1;



initial begin
#200               //#200
tb_reset = 0;
//#115               
//tb_write = 1;
//tb_read  = 1;
end
//pixel clock
always begin
#21 tb_write_clk = ~tb_write_clk;
end

//read clock
always begin
#28 tb_read_clk = ~tb_read_clk;
end

//Data send
always @(posedge tb_write_clk) begin

    tb_write_data = tb_write_data + 1;
end



asyncfifo DUT(
.reset(tb_reset),
.write_clk(tb_write_clk),
.write_data(tb_write_data),
.write(tb_write),
.read(tb_read),
.read_clk(tb_read_clk)
);





    
endmodule


